org.apache.sling.scripting.thymeleaf.internal

## Class ResourceBundleMessageResolver

- java.lang.Object
- - org.apache.sling.scripting.thymeleaf.internal.ResourceBundleMessageResolver

All Implemented Interfaces:
  org.thymeleaf.messageresolver.IMessageResolver

    public class ResourceBundleMessageResolver
    extends Object
    implements org.thymeleaf.messageresolver.IMessageResolver

### Field Summary

Fields
`static Object[]` `EMPTY_MESSAGE_PARAMETERS`

### Constructor Summary

Constructors
Constructor and Description
`ResourceBundleMessageResolver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `createAbsentMessageRepresentation(org.thymeleaf.context.ITemplateContext templateContext, Class<?> origin, String key, Object[] messageParameters)`
`String` `getName()`
`Integer` `getOrder()`
`String` `resolveMessage(org.thymeleaf.context.ITemplateContext templateContext, Class<?> origin, String key, Object[] messageParameters)`
`void` `setAbsentMessageRepresentationProvider(AbsentMessageRepresentationProvider absentMessageRepresentationProvider)`
`void` `setResourceBundleProvider(org.apache.sling.i18n.ResourceBundleProvider resourceBundleProvider)`
`void` `unsetAbsentMessageRepresentationProvider(AbsentMessageRepresentationProvider absentMessageRepresentationProvider)`
`void` `unsetResourceBundleProvider(org.apache.sling.i18n.ResourceBundleProvider resourceBundleProvider)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EMPTY_MESSAGE_PARAMETERS

    public static final Object[] EMPTY_MESSAGE_PARAMETERS

### Constructor Detail

#### ResourceBundleMessageResolver

    public ResourceBundleMessageResolver()

### Method Detail

#### setResourceBundleProvider

    public void setResourceBundleProvider(org.apache.sling.i18n.ResourceBundleProvider resourceBundleProvider)

#### unsetResourceBundleProvider

    public void unsetResourceBundleProvider(org.apache.sling.i18n.ResourceBundleProvider resourceBundleProvider)

#### setAbsentMessageRepresentationProvider

    public void setAbsentMessageRepresentationProvider(AbsentMessageRepresentationProvider absentMessageRepresentationProvider)

#### unsetAbsentMessageRepresentationProvider

    public void unsetAbsentMessageRepresentationProvider(AbsentMessageRepresentationProvider absentMessageRepresentationProvider)

#### getName

    public String getName()

Specified by:
  `getName` in interface `org.thymeleaf.messageresolver.IMessageResolver`

#### getOrder

    public Integer getOrder()

Specified by:
  `getOrder` in interface `org.thymeleaf.messageresolver.IMessageResolver`

#### resolveMessage

    public String resolveMessage(org.thymeleaf.context.ITemplateContext templateContext,
                                 Class<?> origin,
                                 String key,
                                 Object[] messageParameters)

Specified by:
  `resolveMessage` in interface `org.thymeleaf.messageresolver.IMessageResolver`

#### createAbsentMessageRepresentation

    public String createAbsentMessageRepresentation(org.thymeleaf.context.ITemplateContext templateContext,
                                                    Class<?> origin,
                                                    String key,
                                                    Object[] messageParameters)

Specified by:
  `createAbsentMessageRepresentation` in interface `org.thymeleaf.messageresolver.IMessageResolver`